<?php
/**
*
* @author Stoker 4.0
* @package Countdown
* @version $Id: install_countdown.php, v2.0.2 Exp $
* @copyright (c) 2013 Stoker 4.0 
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/
/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

$mod_name = 'COUNTDOWN';

$version_config_name = 'countdown_version';
$language_file = 'mods/countdown';

$versions = array(
	// Version 1.0.0
	'1.0.0'	=> array(		
		// Add new enable/disable config entry
		'config_add' => array(
			array('countdown_enable', ''),
			array('countdown_direction', 1),
			array('countdown_date', ''),
			array('countdown_text', ''),
			array('countdown_complete', ''),
		),
	),
	// Version 1.0.1
	'1.0.1'	=> array(		
		// Add new year and month config entry
		'config_add' => array(
			array('countdown_testmode', ''),
			array('countdown_year', ''),
		),
	),
	// Version 1.0.2
	'1.0.2'	=> array(		
		// Add new year and month config entry
		'config_add' => array(
			array('countdown_offset_enable', ''),
			array('countdown_offset', ''),
		),
	),
	// Version 2.0.0
	'2.0.0'	=> array(		
		// Add the module in ACP under the mods tab
		'module_add' => array(
			array('acp', 'ACP_CAT_DOT_MODS', 'ACP_COUNTDOWN'),
			
			array('acp', 'ACP_COUNTDOWN', array(
					'module_basename'	=> 'countdown_config',
					'module_langname'	=> 'COUNTDOWN_CONFIG',
					'module_mode'		=> 'overview',
					'module_auth'		=> 'acl_a_board',
				),
			),
		),
	),
	// Version 2.0.1
	'2.0.1'	=> array(		
		// Nothing new this time
	),
	// Version 2.0.2
	'2.0.2'	=> array(		
		// Nothing new this time
	),
	// purge the cache
	'cache_purge' => array(''),
);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>